/**
 * Creates objects for use in the stacks and queues application.
 * @author *** YOUR NAME HERE ***
 */
public class StacksAndQueuesFactory {

    /** Creates a new object of type IStack. */
    public static IStack createStack() {
        return new VectorStackSolution();
    }
    
    /** Creates a new object of type IQueue. */
    public static IQueue createQueue() {
        return new JavaQueue();
    }
    
    /** Creates a new object of type IRPNEvaluator. */
    public static IRPNEvaluator createRPNEvaluator() {
        return new RPNEvaluatorSolution();
    }
    
    /** Creates a new object of type IInfixToRPN. */
    public static IInfixToRPN createInfixToRPN() {
        return new InfixToRPNSolution();
    }
}